Bulk remove work orders from batches
curl --request DELETE \
--url https://{companyName}.api.joinluminous.com/external/api/v1/production-batches/bulk/work-orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"removals": [
{
"batch_id": 123,
"work_order_ids": [
123
]
}
]
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/production-batches/bulk/work-orders"
payload = { "removals": [
{
"batch_id": 123,
"work_order_ids": [123]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({removals: [{batch_id: 123, work_order_ids: [123]}]})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/production-batches/bulk/work-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "<string>",
"result": {}
}
}{
"message": "<string>"
}{
"message": "<string>"
}Production Batches
Bulk remove work orders from batches
Remove work orders from one or more production batches in a single request.
DELETE
/
production-batches
/
bulk
/
work-orders
Bulk remove work orders from batches
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Body
application/json
List of batch/work-order removal instructions.
Minimum array length:
1Show child attributes
Show child attributes
Response
Successful response
Show child attributes
Show child attributes
⌘I